unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    Times: TComboBox;
    SpeedButton1: TSpeedButton;
    TitRes: TCheckBox;
    Label1: TLabel;
    SpeedButton2: TSpeedButton;
    procedure FormCreate(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
  private
  public
  end;

var
  Form1: TForm1;

implementation
{$R *.DFM}

type
  Jogador = record
    Nome: string[30];
    Nick: string[15];
    Nasc: TDateTime;
    Passe: currency;
    Clube: byte;
    Titular: boolean;
  end;

var
  TotJogs,Qualjg: smallint;
  Jogs: array of Jogador;

procedure TForm1.FormCreate(Sender: TObject);
var
  ArqJog: file of Jogador;
  Tm: integer;
begin
  TotJogs:= 0;
  if FileExists('jogadores.dat') then begin
    AssignFile(ArqJog,'jogadores.dat');
    Reset(ArqJog);
    while not eof(ArqJog) do begin
      TotJogs:= TotJogs + 1;
      SetLength(Jogs,TotJogs);
      Read(ArqJog,Jogs[TotJogs-1]);
    end;
    CloseFile(ArqJog);
  end;
  Times.ItemIndex:= 0;
  Label1.Caption:= IntToStr(TotJogs);
end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
  Qualjg:= TotJogs;
  TotJogs:= TotJogs + 1;
  Label1.Caption:= IntToStr(TotJogs);
  SetLength(Jogs,TotJogs);
  Jogs[Qualjg].Nome:= Edit1.Text;
  Jogs[Qualjg].Nick:= Edit2.Text;
  Jogs[Qualjg].Nasc:= StrToDate(Edit3.Text);
  Jogs[Qualjg].Passe:= StrToCurr(Edit4.Text);
  Jogs[Qualjg].Clube:= Times.ItemIndex;
  Jogs[Qualjg].Titular:= TitRes.Checked;
end;

procedure TForm1.SpeedButton2Click(Sender: TObject);
var
  ArqJog: file of Jogador;
  Tm: integer;
begin
  AssignFile(ArqJog,'jogadores.dat');
  Rewrite(ArqJog);
  for Tm:= 0 to TotJogs-1 do Write(ArqJog,Jogs[Tm]);
  CloseFile(ArqJog);
end;

end.
